SQLite Forum

System.Data.SQLite version 1.0.114.0 released
Login

System.Data.SQLite version 1.0.114.0 released

(1) By mistachkin on 2021-05-25 21:20:08 [link] [source]

System.Data.SQLite version 1.0.114.0 (with SQLite 3.35.5) is now available on the System.Data.SQLite website:

https://system.data.sqlite.org/

Further information about this release can be seen at:

https://system.data.sqlite.org/index.html/doc/trunk/www/news.wiki

Please post on this forum if you encounter any problems with this release.

(2) By anonymous on 2021-05-28 16:13:18 in reply to 1 [link] [source]

Hello, after updating to this release i have an error:

Could not load file or assembly 'System.Data.SQLite.SEE.License, Version=1.0.114.0, Culture=neutral, PublicKeyToken=433d9874d0bb98c5' or one of its dependencies. The system cannot find the file specified.

This project is quite old, I've just migrated it to .net 4.8 (from 4.5.2), Visual Studio 2019 (from 2015), EF 6.4.4 (from 6.0.0) and of course System.Data.SQLite 1.0.114 (from 1.0.109). I've sorted all the other dependency problems but I just can't seem to resolve this issue.

Anyone having the same issue?

(3) By mistachkin on 2021-05-28 23:03:05 in reply to 2 [source]

Are you using the "Password" connection string property?

(4.1) Originally by anonymous with edits by Richard Hipp (drh) on 2021-05-30 17:21:53 from 4.0 in reply to 3 [link] [source]

Yes, my connection string looks like this:

metadata=res://*/db_model.csdl|res://*/db_model.ssdl|res://*/db_model.msl;provider=System.Data.SQLite.EF6;provider connection string=\"data source=%AppData%\\dbfile.db;password=XXXXXXXXX\"

the %appdata% is replaced in code with specific folder.

it worked with previous System.Data.Sqlite version that I was using.

(5) By mistachkin on 2021-05-31 16:54:27 in reply to 4.1 [link] [source]

The "Password" connection string property relied upon the legacy CryptoAPI
codec.  That code has been unmaintained since 2011, unsupported since 2017,
and completely non-functional since release 1.0.113.0 due to changes in the
underlying core library architecture.

If you need to continue using this feature, you'll need to continue using a
version prior to 1.0.113.0.

(6) By anonymous on 2021-05-31 20:01:00 in reply to 5 [link] [source]

Thank You for Your help. Is there another way to protect the database file using latest version?

I've tried to downgrade to 1.0.112.3 (as according to Your information is the last version supporting this feature) however I can't find it in nuget.org packages or system.data.sqlite.org. Could You point me in the right direction?

(7) By mistachkin on 2021-05-31 21:53:48 in reply to 6 [link] [source]

(8) By anonymous on 2021-06-01 06:44:30 in reply to 7 [link] [source]

Thank You :)